Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class ShardSearchingTestBase.SearcherAndVersion

    java.lang.Object
      org.apache.lucene.search.ShardSearchingTestBase.SearcherAndVersion

Enclosing class:
  ShardSearchingTestBase

    protected static class ShardSearchingTestBase.SearcherAndVersion

extends Object

An IndexSearcher and associated version (lease)

Field Summary
`IndexSearcher` | `searcher`
`long` | `version`

Constructor Summary
`ShardSearchingTestBase.SearcherAndVersion(IndexSearcher searcher, long version)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### searcher

    public final IndexSearcher searcher

### version

    public final long version

Constructor Detail

### ShardSearchingTestBase.SearcherAndVersion

    public ShardSearchingTestBase.SearcherAndVersion(IndexSearcher searcher,
                                                     long version)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.